---
stage: Manage
group: Workspace
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/engineering/ux/technical-writing/#assignments
---

# Workspace

Workspace will be above the [top-level namespaces](../group/index.md#namespaces) for you to manage
everything you do as a GitLab administrator, including:

- Defining and applying settings to all of your groups, subgroups, and projects.
- Aggregating data from all your groups, subgroups, and projects.

Our goal is to reach feature parity between SaaS and self-managed installations, with all
[Admin Area settings](/ee/user/admin_area/settings/) moving to either:

- Groups. Available in the Workspace, top-level group namespaces, and sub-groups.
- Hardware Controls. For functionality that does not apply to groups, Hardware Controls are only
  applicable to self-managed installations. There is one Hardware Controls section per installation.

NOTE:
Workspace is currently in development.

## Demo: New hierarchy concept for groups and projects for epics

The following demo introduces the new hierarchy concept for groups and projects for epics.

<div class="video-fallback">
  See the video: <a href="https://www.youtube.com/embed/fE74lsG_8yM">Consolidating groups and projects update (2021-08-23)</a>.
</div>
<figure class="video-container">
  <iframe src="https://www.youtube.com/embed/fE74lsG_8yM" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

## Concept previews

The following provide a preview to the Workspace concept.

![Workspace Overview](img/1.1-Instance_overview.png)

![Groups Overview](img/1.2-Groups_overview.png)

![Admin Overview](img/1.3-Admin.png)

![Admin Overview](img/Admin_Settings.png)

![Admin Overview](img/hardware_settings.png)
